OD(1)

NIMI
od - tulosta tiedostoja oktaali- ja muissa muodoissa

YLEISKATSAUS
od [VALITSIN]... [TIEDOSTO]...
od [-abcdfilosx]... [TIEDOSTO] [[+]SIIRTYMÄ[.][b]]
od --traditional [VALITSIN]... [TIEDOSTO] [[+]SIIRTYMÄ[.][b] [+][NIMIÖ][.][b]]

KUVAUS

Kirjoita yksiselitteinen esitys TIEDOSTOsta vakiotulosteeseen, oletuksena oktaalitavuina. Jos TIEDOSTO-argumentteja annetaan useampi, niistä luetut syötteet yhdistetään samassa järjestyksessä. Jos TIEDOSTOa ei ole annettu, tai se on ”-”, luetaan vakiosyötettä.

Jos TIEDOSTOa ei ole annettu, tai se on ”-”, luetaan vakiosyötettä.

If first and second call formats both apply, the second format is assumed if the last operand begins with + or (if there are 2 operands) a digit. An OFFSET operand means -j OFFSET. LABEL is the pseudo-address at first byte printed, incremented when dump is progressing. For OFFSET and LABEL, a 0x or 0X prefix indicates hexadecimal; suffixes may be . for octal and b for multiply by 512.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-A, --address-radix=KANTA
    output format for file offsets; RADIX is one of [doxn], for Decimal, Octal, Hex or None

--endian={big|little}
    swap input bytes according the specified order

-j, --skip-bytes=MÄÄRÄ
    ohita aluksi MÄÄRÄ syötetavua

-N, --read-bytes=MÄÄRÄ
    rajoita vedos MÄÄRÄän syötetavuja

-S MÄÄRÄ, --strings[=MÄÄRÄ]
    output strings of at least BYTES graphic chars; 3 is implied when BYTES is not specified

-t, --format=TYYPPI
    select output format or formats

-v, --output-duplicates
    älä käytä *-merkkiä rivien vaientamisen merkitsemiseen

-w[MÄÄRÄ], --width[=MÄÄRÄ]
    output BYTES bytes per output line; 32 is implied when BYTES is not specified

--traditional
    accept arguments in third form above

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

  Perinteisiä muotomäärittelyjä voi yhdistää; ne kertyvät:

-a  same as -t a, select named characters, ignoring high-order bit

-b  sama kuin -t o1, valitse oktaalitavut

-c  same as -t c, select printable characters or backslash escapes

-d  same as -t u2, select unsigned decimal 2-byte units

-f  sama kuin -t fF, valitse liukuluvut

-i  sama kuin -t dI, valitse 10-kantaiset kokonaisluvut

-l  sama kuin -t dL, valitse 10-kantaiset pitkät kokonaisluvut

-o  sama kuin -t o2, valitse 8-kantaiset 2:n tavun yksiköt

-s  sama kuin -t d2, valitse 10-kantaiset 2:n tavun yksiköt

-x  sama kuin -t x2, valitse 16-kantaiset 2:n tavun yksiköt

  TYYPPI perustuu yhteen tai useammaen näistä eritelmistä:

a   named character, ignoring high-order bit

c   tulostettava merkki tai backslash escape

d[KOKO]
    signed decimal, SIZE bytes per integer

f[KOKO]
    liukuluku, KOKO tavua/kokonaisluku

o[KOKO]
    kahdeksankantainen luku, KOKO tavua/kokonaisluku

u[KOKO]
    etumerkitön kymmenkantainen luku, KOKO tavua/kokonaisluku

x[KOKO]
    kuusitoistakantainen luku, KOKO tavua/kokonaisluku

SIZE is a number. For TYPE in [doux], SIZE may also be C for sizeof(char), S for sizeof(short), I for sizeof(int) or L for sizeof(long). If TYPE is f, SIZE may also be F for sizeof(float), D for sizeof(double) or L for sizeof(long double).

Adding a z suffix to any type displays printable characters at the end of each output line.

  BYTES is hex with 0x or 0X prefix, and may have a multiplier suffix:

b   512

KB  1000

K   1024

MB  1000*1000

M   1024*1024

and so on for G, T, P, E, Z, Y. Binary prefixes can be used, too: KiB=K, MiB=M, and so on.

ESIMERKKEJÄ

od -A x -t x1z -v
    Display hexdump format output

od -A o -t oS -w16
    The default output format used by od

TEKIJÄ
Kirjoittanut Jim Meyering.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2022 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
Koko dokumentaatio: <https://www.gnu.org/software/coreutils/od>
tai saatavilla paikallisesti: info '(coreutils) od invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Tuukka Forssell <taf@jytol.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.